Skip to content
Last updated

View the event history for a connection.

GEThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/connections/{connection_id}/timeline

Returns a chronological list of events (syncs, schema changes, errors) for a connection.

Path Parameters

connection_id string required

The connection ID.

Query Parameters

event_type string optional

Filter by event type.

status string optional

Filter by event status.

limit integer optional

Maximum number of results.

offset integer optional

Pagination offset.


Returns

A timeline object containing a data array of event objects with event_id, event_type, created_at, and summary.

cURL
curl "https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/connectors/connections/conn_abc123/timeline?limit=20" \
  -H "Authorization: Bearer $ACCESS_TOKEN"